Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Recent posts

#1
Introduction / Re: New to Sparky, fugitive fr...
Last post by rollinbeaver - August 09, 2022, 11:15:33 AM
hi,

First: on Linux, there is no spoo.., uh, .EXE.
An application can have any name, provided it has the flag executable set.

On my (Mint XFCE 20) system,
$ apt-cache policy sigil
sigil:
  Installed: (none)
  Candidate: 1.6.0+dfsg-1
  Version table:
     1.6.0+dfsg-1 500
        500 file:/var/lib/local-apt-repository ./ Packages
     1.4.3+dfsg-1 500
        500 file:/var/lib/local-apt-repository ./ Packages
     1.2.1+dfsg-2 500
        500 file:/var/lib/local-apt-repository ./ Packages
     1.1.0+dfsg-1 500
        500 http://archive.ubuntu.com/ubuntu focal/universe amd64 Packages
     0.9.18+dfsg-1 500
        500 file:/var/lib/local-apt-repository ./ Packages
     0.9.5+dfsg-0ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

This means that the Sigil (and PageEdit) from repositories are somewhat old.
You do have to follow the instructions "Sigil on Linux" on

https://sigil-ebook.com/sigil/download/

and, sorry to say so, download

https://github.com/Sigil-Ebook/Sigil/archive/refs/tags/{$actual version}.tar.gz

from

https://github.com/Sigil-Ebook/Sigil/releases

and build it from source.
This has been indeed painless and successful for me up to now.
The resulting .deb file i either install directly with dpkg, or rather put it in my local repository, so that apt can see it after

sudo /usr/lib/local-apt-repository/rebuild -f

Maybe that's a MINT thing, though.

As for PageEdit,

https://github.com/Sigil-Ebook/PageEdit/releases
https://github.com/Sigil-Ebook/PageEdit/

Hope this helps.

#2
0ther / SparkyLinux VS dvd burner
Last post by Shisui2013 - August 09, 2022, 10:40:32 AM
I recently purchased an external DVD burner for my Sparky-running Lenovo T410, but it is not functioning. While the handbook makes no mention of Linux, the box claims that it is supported. Although I can't be sure, I believe the burner is the problem.

Although it detects the presence of my brand-new CD, it is unable to mount or open it. I tried a couple DVDs, but it is clear from the sounds that it keeps attempting ineffectively to read it.
#3
Introduction / Re: New to Sparky, fugitive fr...
Last post by BobK99 - August 08, 2022, 01:42:14 PM
DOH. Call off the dogs. Found it
#4
Introduction / Re: New to Sparky, fugitive fr...
Last post by BobK99 - August 08, 2022, 01:34:08 PM
Thanks. Where does
sudo apt update && sudo apt install pageedit

 put PageEdit.exe? I've tried to grep it. But I need to brush up on grep as the command has been hanging for about 10 mins now and I think I may have told it search the entire Internet :-)

#5
Forum settings / Re: Discourse
Last post by ycom1 - August 07, 2022, 02:41:03 PM
well that is reasoning

I understand your arguments
fully ( ironically meant )

I could list like 5+ reasons why
Discourse is great, but
but this was just a proposal
so take it as you like

#6
Sparky applications / login screen
Last post by transadd - August 07, 2022, 12:31:47 PM
Hi

Using Sparky Linux LXQt.

When I boot from my hard disk to the login screen the background is from Pardus Linux which had been on the same drive but not on the same partition. 

This does not interfere with the running of the system, but it would look better if there is a way to change this back to the Sparky screen.

Everything else is working perfectly for my needs so enjoying the distribution.

Regards

John
#8
Forum settings / Re: Discourse
Last post by AxL - August 06, 2022, 08:04:51 PM
Quote from: ycom1 on August 03, 2022, 06:22:58 PMI am submitting that Discourse grooves better as a forum platform.

Are you kidding, or WTF ...???

Discourse is the worst option for setting up a forum. Because it's utter crappola.

Besides, what's wrong with Simple Machines forum software (what is being used now)?

#9
Introduction / Re: New to Sparky, fugitive fr...
Last post by AxL - August 06, 2022, 07:52:45 PM
Quote from: BobK99 on August 06, 2022, 06:29:25 PM[....] Now using SparkyLinux and trying to get my head around Sigil without BookView. I've tried to install PageView [....]



sudo apt update && sudo apt install pageedit

And, you're done


As reference, see:
Package: pageedit (1.9.10+dfsg-1) (ePub visual XHTML editor based on Sigil's Deprecated BookView)








Cheers !! 
#10
Introduction / New to Sparky, fugitive from W...
Last post by BobK99 - August 06, 2022, 06:29:25 PM
Windows user since Windows V3.1, and passing acquaintance with UNIX and Linux. Now using SparkyLinux and trying to get my head around Sigil without BookView. I've tried to install PageView and have downloaded  PageEdit-1.7.0.tar.gz.sig - but when I doubleclick it it tries to open with Featherpad. Is there something else I need to install first? If I just need to point it to an 'Open With...' option, can you give me instructions for navigating to something that's already there( (And talk r e a l  s l o w ;-) )

View the most recent posts on the forum